Bug 997767 (CVE-2013-4623)

Summary: CVE-2013-4623 polarssl: denial of service (infinite loop) when parsing certain PEM encoded certificates
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: mads
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 11:00:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 997770    
Bug Blocks:    

Description Murray McAllister 2013-08-16 07:55:56 UTC
From the PolarSSL Security Advisory 2013-03 advisory:

"A bug in the logic of the parsing of PEM encoded certificates in x509parse_crt() can result in an infinite loop, thus hogging processing power."

A remote attacker could use this flaw to make a TLS/SSL server using PolarSSL consume an excessive amount of CPU.

This issue was corrected in PolarSSL versions 1.1.7 and 1.2.8. (Versions prior to these are affected.)

External References:

https://polarssl.org/tech-updates/security-advisories/polarssl-security-advisory-2013-03

Comment 1 Murray McAllister 2013-08-16 07:59:00 UTC
Created polarssl tracking bugs for this issue:

Affects: fedora-all [bug 997770]

Comment 2 Murray McAllister 2013-08-16 08:03:44 UTC
The patch included in the upstream advisory looks to be this commit:

https://github.com/polarssl/polarssl/commit/1922a4e6aade7b1d685af19d4d9339ddb5c02859

Comment 3 Fedora Update System 2013-09-20 16:26:17 UTC
polarssl-1.2.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2013-09-20 16:27:29 UTC
polarssl-1.2.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-09-23 00:13:16 UTC
polarssl-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-10 11:00:57 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.